from django.urls import path, re_path

from gestion.clubs import views
import annuaire

urlpatterns = [
    path("", views.liste, name="liste"),
    path("nouveau", views.nouveau, name="nouveau"),
    path("<slug:club_id>/", views.gest_accueil, name="gest_accueil"),
    path("<slug:club_id>/bureau/", views.gest_bureau, name="gest_bureau"),
    path(
        "<slug:club_id>/fiche_passation",
        views.fiche_passation,
        name="fiche_passation",
    ),
    path("<slug:club_id>/description", views.description, name="description"),
    path("<slug:club_id>/supprimer", views.dem_suppression, name="dem_suppression"),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/alias/(?P<prefixe>[A-Za-z0-9._-]+)/$",
        views.gest_alias,
        name="gest_alias",
    ),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/alias/(?P<prefixe>[A-Za-z0-9._-]+)/supprimer$",
        views.suppr_alias,
        name="suppr_alias",
    ),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/domaine/(?P<domaine>[A-Za-z0-9._-]+)/supprimer$",
        views.suppr_domaine,
        name="suppr_domaine",
    ),
    path("<slug:club_id>/membres/", views.gest_membres, name="gest_membres"),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/membres/ajout/(?P<uid>\w+)$",
        views.gest_membres,
        name="clubs_dest_recherche",
    ),
    path("<slug:club_id>/blog/", views.gest_blog, name="gest_blog"),
    path(
        "<slug:club_id>/blog/<slug:adresse>/",
        views.gest_blog,
        name="gest_blog",
    ),
    path(
        "<slug:club_id>/blog/<slug:adresse>/supprimer",
        views.suppr_article,
        name="suppr_article",
    ),
    path("<slug:club_id>/edt/", views.gest_edt, name="gest_edt"),
    path(
        "<slug:club_id>/edt/event/<int:event_id>",
        views.gest_edt,
        name="gest_edt",
    ),
    path(
        "<slug:club_id>/edt/delete/<int:event_id>",
        views.del_event,
        name="del_event",
    ),
    path(
        "<slug:club_id>/recherche",
        annuaire.views.adm_recherche,
        {
            "titre": "Ajouter des utilisateurs",
            "redir": "gestion:clubs:clubs_dest_recherche",
        },
        "club_rechercher",
    ),
]
